import {MigrationInterface, QueryRunner} from "typeorm";

export class AddProductContactToDb1721412821396 implements MigrationInterface {

   public async up(queryRunner: QueryRunner): Promise<any> {
        await queryRunner.query("CREATE TABLE `product_contact` (`createdAt` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6), `updatedAt` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6), `firstName` varchar(255) NOT NULL, `lastName` varchar(255) NOT NULL, `email` varchar(255) NOT NULL, `reason` varchar(255) NOT NULL, `message` text NOT NULL, `id` int NOT NULL AUTO_INCREMENT, `productVariantId` int NULL, PRIMARY KEY (`id`)) ENGINE=InnoDB", undefined);
        await queryRunner.query("ALTER TABLE `fulfillment` DROP COLUMN `customFieldsMembershipnumber`", undefined);
        await queryRunner.query("ALTER TABLE `shipping_method` DROP COLUMN `customFieldsMembershipfulfilmentonly`", undefined);
        await queryRunner.query("ALTER TABLE `order_line` DROP COLUMN `customFields__fix_relational_custom_fields__`", undefined);
        await queryRunner.query("ALTER TABLE `product_variant` DROP COLUMN `customFieldsMembershipid`", undefined);
        await queryRunner.query("ALTER TABLE `product_contact` ADD CONSTRAINT `FK_570a41d984b1bf9d3771846d9a4` FOREIGN KEY (`productVariantId`) REFERENCES `product_variant`(`id`) ON DELETE NO ACTION ON UPDATE NO ACTION", undefined);
   }

   public async down(queryRunner: QueryRunner): Promise<any> {
        await queryRunner.query("ALTER TABLE `product_contact` DROP FOREIGN KEY `FK_570a41d984b1bf9d3771846d9a4`", undefined);
        await queryRunner.query("ALTER TABLE `product_variant` ADD `customFieldsMembershipid` int NULL", undefined);
        await queryRunner.query("ALTER TABLE `order_line` ADD `customFields__fix_relational_custom_fields__` tinyint NULL COMMENT 'A work-around needed when only relational custom fields are defined on an entity'", undefined);
        await queryRunner.query("ALTER TABLE `shipping_method` ADD `customFieldsMembershipfulfilmentonly` tinyint NULL DEFAULT 0", undefined);
        await queryRunner.query("ALTER TABLE `fulfillment` ADD `customFieldsMembershipnumber` text NULL", undefined);
        await queryRunner.query("DROP TABLE `product_contact`", undefined);
   }

}
