/* eslint-disable prettier/prettier */
import { Args, Mutation, Query, Resolver } from '@nestjs/graphql';
import { Permission } from '@vendure/common/lib/generated-types';
import { ID } from '@vendure/common/lib/shared-types';
import { Allow, Ctx, RequestContext, Transaction } from '@vendure/core';

import { Contacts } from '../entities/contacts.entity';
import { ContactsService } from '../services/contacts.service';
import { ContactFormInput } from '../types';

@Resolver()
export class ContactsAdminResolver {
  constructor(private contactsService: ContactsService) {}

    @Query()
    async contactsForm(@Args('id') id: ID): Promise<Contacts | null> {
        return this.contactsService.findOne(id);
    }

    @Mutation()
    async submitContactsForm(@Args('input') input: ContactFormInput, @Ctx() ctx: RequestContext): Promise<Contacts> {
        return this.contactsService.submitContactsForm(ctx, input);
    }
}
