/* eslint-disable prettier/prettier */
import { DeepPartial, HasCustomFields, VendureEntity } from '@vendure/core';
import { Column, Entity } from 'typeorm';

export class ContactsCustomFields {}

@Entity()
export class Contacts extends VendureEntity implements HasCustomFields {
  constructor(input?: DeepPartial<Contacts>) {
    super(input);
  }

  @Column()
  name: string;

  @Column()
  email: string;

  @Column('text')
  message: string;

  @Column((type) => ContactsCustomFields)
  customFields: ContactsCustomFields;
}
