import { PluginCommonModule, VendurePlugin } from '@vendure/core';
import { OnApplicationBootstrap } from '@nestjs/common';
import { BobgoWebhookSubscriber } from './suscriber/bobgo-webhook-subscriber';
import { HttpModule } from '@nestjs/axios';

@VendurePlugin({
    imports: [PluginCommonModule, HttpModule],
    providers: [BobgoWebhookSubscriber],
    compatibility: '^2.0.0',
})
export class BobgoWebhookPlugin implements OnApplicationBootstrap {

  constructor(
    private bobgoWebhookSubscriber: BobgoWebhookSubscriber
  ) {}
    
  async onApplicationBootstrap() {
    console.log('BobgoWebhookPlugin has started!');
    await this.bobgoWebhookSubscriber.subscribeToWebhook();
  }
}
