import { Injectable } from '@nestjs/common';
import { from, lastValueFrom } from 'rxjs';
import { EventBus } from '@vendure/core';
import { axiosInstance } from '../../../shared/axios-instance';

@Injectable()
export class BobgoWebhookSubscriber {
  private webhookUrl = '/webhooks';
  private deliveryUrl = 'https://d04a-169-1-80-174.ngrok-free.app';

  constructor(private eventBus: EventBus) {}

  async subscribeToWebhook() {
    try {
      const response = await lastValueFrom(
        from(axiosInstance.post(this.webhookUrl, {
          webhook_subscriptions: [
            {
              delivery_url: this.deliveryUrl,
              topic: 'fulfillment/created',
              status: 'active',
            },
          ],
        }))
      );

      console.log('Webhook subscription response:', response.data);
    } catch (error) {
      console.error('Failed to subscribe to webhook:', error);
    }
  }
}