import { PluginCommonModule, VendurePlugin } from '@vendure/core';

import { NetcashController } from './controller/netcash.controller';
import { netcashPaymentHandler } from './netcash-payment.handler';
import { NetcashPaymentService } from './service/netcash.service';

@VendurePlugin({
  imports: [PluginCommonModule],
  providers: [NetcashPaymentService],
  controllers: [NetcashController],
  configuration: (config) => {
    config.paymentOptions.paymentMethodHandlers.push(netcashPaymentHandler);
    return config;
  },
  compatibility: '^2.0.0'
})
export class NetcashPlugin {}
