import gql from 'graphql-tag';

const productContactAdminApiExtensions = gql`
  extend type Query {
    productContact(id: ID!): ProductContact!
  }

  extend type Mutation {
    submitProductContactForm(input: ProductContactFormInput!): ProductContact!
  }

  input ProductContactFormInput {
    firstName: String!
    lastName: String!
    email: String!
    reason: String!
    message: String!
    productVariantName: String!
  }

  type ProductContact {
    id: ID!
    firstName: String!
    lastName: String!
    email: String!
    reason: String!
    message: String!
    productVariant: ProductVariant!
  }
`;

export const adminApiExtensions = gql`
  ${productContactAdminApiExtensions}
`;
