import { Args, Mutation, Query, Resolver } from '@nestjs/graphql';
import { Permission } from '@vendure/common/lib/generated-types';
import { ID } from '@vendure/common/lib/shared-types';
import { Allow, Ctx, RequestContext, Transaction } from '@vendure/core';

import { ProductContact } from '../entities/product-contact.entity';
import { ProductContactService } from '../services/product-contact.service';
import { ProductContactFormInput } from '../types';


@Resolver()
export class ProductContactAdminResolver {
    constructor(private productContactService: ProductContactService) {}

    @Query()
    // @Allow(Permission.SuperAdmin)
    async productContact(@Args('id') id: ID): Promise<ProductContact | null> {
        return this.productContactService.findOne(id);
    }

    @Mutation()
    // @Transaction()
    // @Allow(Permission.SuperAdmin)
    async submitProductContactForm(@Args('input') input: ProductContactFormInput, @Ctx() ctx: RequestContext): Promise<ProductContact> {
        return this.productContactService.submitProductContactForm(ctx, input);
    }
}
