/* eslint-disable prettier/prettier */
import { DeepPartial, HasCustomFields, ProductVariant, VendureEntity } from '@vendure/core';
import { Column, Entity, ManyToOne } from 'typeorm';

export class ProductContactCustomFields {}

@Entity()
export class ProductContact extends VendureEntity implements HasCustomFields {
    constructor(input?: DeepPartial<ProductContact>) {
        super(input);
    }

    @ManyToOne(type => ProductVariant)
    productVariant: ProductVariant;

    @Column()
    firstName: string;

    @Column()
    lastName: string;

    @Column()
    email: string;

    @Column()
    reason: string;

    @Column('text')
    message: string;

    @Column(type => ProductContactCustomFields)
    customFields: ProductContactCustomFields;
}
