import { Controller, Post, Body } from '@nestjs/common';
import { EventBus, Ctx, RequestContext } from '@vendure/core';
import { FulfillmentEvent } from '../events/fulfillment-event';

@Controller('webhook')
export class WebhookController {
  constructor(private eventBus: EventBus) {}

  @Post('fulfillment-created')
  async fulfillmentCreated(@Ctx() ctx: RequestContext, @Body() body: any) {
    console.log('Webhook received:', body); // Add logging for debugging

    const orderId = body.order_id;
    const fulfillmentStatus = body.status;

    // Check if the status is 'success' and then publish the event
    if (fulfillmentStatus === 'success') {
      this.eventBus.publish(new FulfillmentEvent(ctx, orderId));
    }

    return { success: true };
  }
}
