import axios from 'axios';
import dotenv from 'dotenv';

dotenv.config();

const bobgoApiKey = process.env.BOBGO_API_KEY;
const bobgoUrl = 'https://api.sandbox.bobgo.co.za/v2';

console.log('BOBGO_API_KEY:', bobgoApiKey);

if (!bobgoApiKey) {
  throw new Error('BOBGO_API_KEY environment variable is not set.');
}

export const axiosInstance = axios.create({
  baseURL: bobgoUrl,
  headers: {
    Authorization: `Bearer ${bobgoApiKey}`,
    'Content-Type': 'application/json',
  },
});
